> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.usebridge.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.usebridge.com/_mcp/server.

# Refund stripe Estimate Charge

POST https://app.usebridge.com/api/estimate-charges/{id}/refund/stripe

This endpoint can only be used after setting up the billing integration. Refer to the [billing integration documentation](/documentation/integrations/billing/overview) for more details.

This endpoint may return a `409` error response with one of these public `message` values:
- `Invalid Estimate Charge Status`
- `Missing Captured Transaction`
- `Missing Customer`
- `Missing Payment Intent`

Reference: https://docs.usebridge.com/api/api-reference/billing/estimate-charges/refund-stripe-estimate-charge

## Authentication

- `X-API-Key` header (required) — API Key authentication via header

## Servers

- `https://app.usebridge.com` (Production, default)
- `https://app.usebridge.xyz` (Sandbox)

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

- `id` (string, required)
- `createdAt` (datetime, required)
- `updatedAt` (datetime, required)
- `patientId` (string, required)
- `serviceEligibilityId` (string, required)
- `amount` (integer, required)
- `status` (enum, required)
  - Allowed values: `PENDING`, `AUTHORIZING`, `AUTHORIZED`, `AUTHORIZATION_FAILED`, `AUTHORIZATION_EXPIRED`, `AUTHORIZATION_RELEASING`, `AUTHORIZATION_CANCELLED`, `CAPTURING`, `CAPTURED`, `CAPTURED_BALANCE_REMAINING`, `CAPTURE_FAILED`, `REFUNDING`, `REFUNDED`, `REFUND_FAILED`, `REFUNDED_BALANCE_REMAINING`, `NO_CHARGE`
- `externalId` (string, optional)
- `stripe` (EstimateChargeRefundStripeV1ResponseStripe, optional)

## Types

### EstimateChargeRefundStripeV1ResponseStripe

- `status` (string, optional)
- `client_secret` (string, optional)
- `last_payment_error` (any, optional)
- `next_action` (any, optional)

## Examples

**Response**

```json
{
  "id": "id",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "patientId": "patientId",
  "serviceEligibilityId": "serviceEligibilityId",
  "amount": 1,
  "status": "PENDING",
  "externalId": "externalId",
  "stripe": {
    "status": "status",
    "client_secret": "client_secret",
    "last_payment_error": {
      "key": "value"
    },
    "next_action": {
      "key": "value"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://app.usebridge.com/api/estimate-charges/id/refund/stripe"

headers = {"X-API-Key": "<apiKey>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.usebridge.com/api/estimate-charges/id/refund/stripe';
const options = {method: 'POST', headers: {'X-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.usebridge.com/api/estimate-charges/id/refund/stripe"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.usebridge.com/api/estimate-charges/id/refund/stripe")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.usebridge.com/api/estimate-charges/id/refund/stripe")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.usebridge.com/api/estimate-charges/id/refund/stripe', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.usebridge.com/api/estimate-charges/id/refund/stripe");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.usebridge.com/api/estimate-charges/id/refund/stripe")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```